%define languageenglazy Kinyarwanda
%define languagecode    rw
%define lc_ctype        rw_RW

%define upstream_version 20090218

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        https://sourceforge.net/projects/aoo-extensions/files/2059/1/rw.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-rw
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p rw.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p rw.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20090218.1-5.mga10
+ Revision: 2202573
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20090218.1-4.mga9
+ Revision: 1808004
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20090218.1-3.mga8
+ Revision: 1501698
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20090218.1-2.mga7
+ Revision: 1278852
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20090218.1-1.mga7
+ Revision: 1213772
- Update to release 20090218

* Mon Feb 08 2016 umeabot <umeabot> 0.20050109.1-12.mga6
+ Revision: 945370
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050109.1-11.mga5
+ Revision: 750612
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050109.1-10.mga5
+ Revision: 680297
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050109.1-9.mga4
+ Revision: 505649
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050109.1-8.mga3
+ Revision: 353677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20050109.1-7.mga2
+ Revision: 224812
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20050109.1-6.mga2
+ Revision: 209069
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.20050109.1-5.mga2
+ Revision: 206325
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050109.1-4.mga1
+ Revision: 69059
- imported package hunspell-rw


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050109-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050109-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050109-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 3 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050109-1
- initial version
